/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *
 * Authors: Travis Reitter <treitter@gmail.com>
 */

#ifndef _MILK_LIST_STORE_H
#define _MILK_LIST_STORE_H

G_BEGIN_DECLS

#define MILK_TYPE_LIST_STORE milk_list_store_get_type()

#define MILK_LIST_STORE(obj) \
    (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                 MILK_TYPE_LIST_STORE, MilkListStore))

#define MILK_LIST_STORE_CLASS(klass) \
    (G_TYPE_CHECK_CLASS_CAST ((klass), \
                              MILK_TYPE_LIST_STORE, MilkListStoreClass))

#define MILK_IS_LIST_STORE(obj) \
    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                 MILK_TYPE_LIST_STORE))

#define MILK_IS_LIST_STORE_CLASS(klass) \
    (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                              MILK_TYPE_LIST_STORE))

#define MILK_LIST_STORE_GET_CLASS(obj) \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                MILK_TYPE_LIST_STORE, MilkListStoreClass))

typedef struct _MilkListStore MilkListStore;
typedef struct _MilkListStoreClass MilkListStoreClass;
typedef struct _MilkListStorePrivate MilkListStorePrivate;

typedef enum {
        MILK_LIST_STORE_COLUMN_PRIORITY,
        MILK_LIST_STORE_COLUMN_TASK,
        MILK_LIST_STORE_COLUMN_LAST,
} OssoABookListStoreColumn;

struct _MilkListStore
{
    GObject parent;
    MilkListStorePrivate *priv;
};

struct _MilkListStoreClass
{
    GObjectClass parent_class;
};

GType milk_list_store_get_type (void);


MilkListStore* milk_list_store_new ();

#endif /* _MILK_LIST_STORE_H */
