/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *
 * Authors: Travis Reitter <treitter@gmail.com>
 */

#ifndef _MILK_MAIN_WINDOW_H
#define _MILK_MAIN_WINDOW_H

G_BEGIN_DECLS

#define MILK_TYPE_MAIN_WINDOW milk_main_window_get_type()

#define MILK_MAIN_WINDOW(obj) \
    (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                 MILK_TYPE_MAIN_WINDOW, MilkMainWindow))

#define MILK_MAIN_WINDOW_CLASS(klass) \
    (G_TYPE_CHECK_CLASS_CAST ((klass), \
                              MILK_TYPE_MAIN_WINDOW, MilkMainWindowClass))

#define MILK_IS_MAIN_WINDOW(obj) \
    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                 MILK_TYPE_MAIN_WINDOW))

#define MILK_IS_MAIN_WINDOW_CLASS(klass) \
    (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                              MILK_TYPE_MAIN_WINDOW))

#define MILK_MAIN_WINDOW_GET_CLASS(obj) \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                MILK_TYPE_MAIN_WINDOW, MilkMainWindowClass))

typedef struct _MilkMainWindow MilkMainWindow;
typedef struct _MilkMainWindowClass MilkMainWindowClass;
typedef struct _MilkMainWindowPrivate MilkMainWindowPrivate;

struct _MilkMainWindow
{
    HildonWindow parent;
    MilkMainWindowPrivate *priv;
};

struct _MilkMainWindowClass
{
    HildonWindowClass parent_class;
};

GType milk_main_window_get_type (void);


GtkWidget* milk_main_window_new ();

#endif /* _MILK_MAIN_WINDOW_H */
